<app-navbar></app-navbar>
<div class="container-fluid">
    <div class="container mt-4 mb-3">
        <div class="row">
            <div class="col-lg-2 mb-4" *ngIf="roleUsuario=='Superadministrador' || roleUsuario=='Administrador'">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">PARAUTOS</h5>
                        <hr>
                        <div class="form-group">
                            <label for="nuevoArchivo" class="btn btn-primary">
                                Subir archivo
                                <input type="file" id="nuevoArchivo"
                                    accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document"
                                    style="display:none" (change)="selectedFile($event)">
                            </label>
                        </div>
                        <div class="btn-group mt-3">
                            <button type="button" class="btn btn-success" (click)="abrirNuevaCarpetaModal()">Nueva
                                carpeta</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-10">
                <div class="breadcrumb mb-2 cursor">
                    <span *ngFor="let carpeta of historialNavegacion; let i = index">
                        <ng-container *ngIf="i !== historialNavegacion.length - 1">
                            <a (click)="navegarA(i)"> {{ carpeta }} / </a>
                        </ng-container>
                        <ng-container *ngIf="i === historialNavegacion.length - 1">
                            <li class="breadcrumb-item active">{{ carpeta }}</li>
                        </ng-container>
                    </span>
                </div>
                <div class="d-flex flex-column align-items-center justify-content-center mt-4"
                    *ngIf="archivos.length == 0">
                    <img src="../../../../assets/img/NoArchivos.png" class="mt-4">
                    No hay archivos
                </div>
                <ul class="list-group cursor" style="vertical-align: center;">
                    <li class="list-group-item list-group-item-action" *ngFor="let elemento of archivos"
                        (contextmenu)="onRightClick($event, elemento)" (dblclick)="elementoDobleClick(elemento)">
                        <div class="d-flex align-items-center">
                            <img *ngIf="esArchivo(elemento)" src="../../../../assets/img/Archivo.png" width="35px"
                                class="mr-4">
                            <img *ngIf="esCarpeta(elemento)" src="../../../../assets/img/Carpeta.png" width="35px"
                                class="mr-4">
                            <h6 class="card-title ml-2 mt-2 text-truncate">{{ elemento }}</h6>
                        </div>
                        <div *ngIf="elemento === elementoSeleccionado && menuVisible" class="context-menu"
                            [style.top]="menuTop" [style.left]="menuLeft">
                            <a class="dropdown-item mover" (click)="abrirmoverArchivoModal(elemento)">Mover a</a>
                            <a class="dropdown-item mover" (click)="abrirrenombrarArchivoModal(elemento)">Renombrar</a>
                            <a class="dropdown-item eliminar" (click)="eliminarArchivo(elemento)">Eliminar</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<ng-template #crearCarpetaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoIndicador">
            <div class="modal-header">
                <h4 class="modal-title">Nueva Carpeta</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Nombre</label>
                    <input type="text" class="form-control" id="nombreCarpeta" name="carpeta" required
                        [(ngModel)]="carpeta">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="crearCarpeta()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>

<ng-template #renombrarArchivoModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoIndicador">
            <div class="modal-header">
                <h4 class="modal-title">Renombrar</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Nuevo nombre</label>
                    <input type="text" class="form-control" id="nombreCarpeta" name="carpeta" required
                        [(ngModel)]="nuevoNombre">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="renombrar()">Cambiar nombre</button>
            </div>
        </form>
    </div>
</ng-template>

<ng-template #moverArchivoModal class="modal fade">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Mover Archivo</h5>
            <button type="button" class="close" data-dismiss="modal" (click)="cerrarModal()">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="col-lg-10">
                <nav aria-label="breadcrumb cursor">
                    <ol class="breadcrumb cursor">
                        <ng-container *ngFor="let carpeta of historialNavegacionMover; let i = index">
                            <ng-container *ngIf="i !== historialNavegacionMover.length - 1">
                                <li class="breadcrumb-item cursor"><a (click)="navegarAMover(i)">{{ carpeta }}</a></li>
                            </ng-container>
                            <ng-container *ngIf="i === historialNavegacionMover.length - 1">
                                <li class="breadcrumb-item active cursor">{{ carpeta }}</li>
                            </ng-container>
                        </ng-container>
                    </ol>
                </nav>
                <div class="d-flex flex-column align-items-center justify-content-center mt-4"
                    *ngIf="archivosMover.length == 0">
                    <img src="../../../../assets/img/NoArchivos.png" class="mt-4" alt="No hay archivos">
                    No hay archivos
                </div>
                <ul class="list-group cursor" style="vertical-align: center;">
                    <li class="list-group-item list-group-item-action" *ngFor="let elemento of archivosMover"
                        (dblclick)="elementoDobleClickMover(elemento)">
                        <div class="d-flex align-items-center">
                            <img *ngIf="esArchivo(elemento)" src="../../../../assets/img/Archivo.png" width="35px"
                                class="mr-4">
                            <img *ngIf="esCarpeta(elemento)" src="../../../../assets/img/Carpeta.png" width="35px"
                                class="mr-4">
                            <h6 class="card-title ml-2 mt-2 text-truncate">{{ elemento }}</h6>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="moverArchivo()"
                    [disabled]="(historialNavegacionMover[historialNavegacion.length] == elementoSeleccionado ) || historialNavegacion[historialNavegacion.length - 1] == historialNavegacionMover[historialNavegacionMover.length - 1]">
                    Mover aquí
                </button>
            </div>
        </div>
    </div>
</ng-template>